use strict;
use warnings;
use Module::Build::CipUX;
use version; our $VERSION = qv('3.4.0.4');

my $builder = Module::Build::CipUX->new(
    module_name  => 'CipUX::CAT::Web::Module::UserList',
    license      => 'gpl2',
    dist_author  => 'Christian Kuelker <christian.kuelker@cipworx.org>',
    dist_version => $VERSION,

    #    create_makefile_pl => 'traditional',
    #    create_readme      => 1,
    #    verbose            => 1,
    installdirs => 'vendor',

    meta_merge => { resources => { homepage => q(http://www.cipux.org), }, },

    recommends => {
        'Test::Perl::Critic'  => 0,
        'Test::Pod::Coverage' => '1.04',
    },

    build_requires => {
        'Test::More'           => 0,
        'Test::Pod'            => '1.14',
        'Module::Build'        => 0,
        'Module::Build::CipUX' => '0.4.0',
    },

    requires => {
        'CipUX::CAT::Web::Module'     => '3.4.0.0',
        'CipUX::CAT::Web::Controller' => '3.4.0.0',
        'Log::Log4perl'               => 0,
    },

    add_to_cleanup => ['CipUX-CAT-Web-Module-*'],
);

# new BUILD and INSTALL target (lib/*/*.po)
# (will install all po files under lib)
$builder->add_build_element('po');

# BUILD target
#$builder->do_create_readme();
#$builder->do_create_makefile_pl();
$builder->create_build_script();
